Mogrify throws "not authorized" error

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".
Post Reply
Doobliheim
Posts: 1
Joined: 2018-09-14T11:02:49-07:00
Authentication code: 1152

Mogrify throws "not authorized" error

Post by Doobliheim » 2018-09-14T11:15:08-07:00

Description
Currently, attempting to use

Code: Select all

mogrify -format pdf ~/Desktop/TIFFs/*.tif
results in the following error message:
mogrify: not authorized `PDF' @ error/constitute.c/IsCoderAuthorized/408.
Steps to Repro

Code: Select all

brew install ImageMagick
mogrify -format pdf ~/Desktop/TIFFs/*.tif
^ Error is thrown after this commmand

System Configuration
  • ImageMagick version: ImageMagick 7.0.8-11_1 (Most recent for what Homebrew retrieves)
  • Environment (Operating system, version and so on): MacOS X High Sierra, Version 10.13.6
  • Additional information: MacBook Pro 13" laptop
Results of `brew info --versions ImageMagick`:

Code: Select all

ImageMagick: stable 7.0.8-11 (bottled), HEAD
Tools and libraries to manipulate images in many formats
https://www.imagemagick.org/
/usr/local/Cellar/ImageMagick/7.0.8-11_1 (1,516 files, 23.1MB)
  Poured from bottle on 2018-09-14 at 10:36:56
From: https://github.com/Homebrew/homebrew-core/blob/master/Formula/imagemagick.rb
==> Dependencies
Build: pkg-config ✔
Required: libtool ✔, xz ✔
Recommended: jpeg ✔, libpng ✔, libtiff ✔, freetype ✔
Optional: fontconfig ✔, little-cms ✘, little-cms2 ✔, libheif ✘, libwmf ✘, librsvg ✔, liblqr ✘, openexr ✘, ghostscript ✔, webp ✔, openjpeg ✘, fftw ✘, pango ✔, perl ✔
==> Requirements
Optional: x11 ✔
==> Options
--with-fftw
	Compile with FFTW support
--with-fontconfig
	Build with fontconfig support
--with-ghostscript
	Build with ghostscript support
--with-hdri
	Compile with HDRI support
--with-libheif
	Compile with HEIF support
--with-liblqr
	Build with liblqr support
--with-librsvg
	Build with librsvg support
--with-libwmf
	Build with libwmf support
--with-little-cms
	Build with little-cms support
--with-little-cms2
	Build with little-cms2 support
--with-opencl
	Compile with OpenCL support
--with-openexr
	Build with openexr support
--with-openjpeg
	Build with openjpeg support
--with-openmp
	Compile with OpenMP support
--with-pango
	Build with pango support
--with-perl
	Compile with PerlMagick
--with-webp
	Build with webp support
--with-x11
	Build with x11 support
--with-zero-configuration
	Disables depending on XML configuration files
--without-freetype
	Build without freetype support
--without-jpeg
	Build without jpeg support
--without-libpng
	Build without libpng support
--without-libtiff
	Build without libtiff support
--without-magick-plus-plus
	disable build/install of Magick++
--without-modules
	Disable support for dynamically loadable modules
--without-threads
	Disable threads support
--HEAD
	Install HEAD version
Has anyone run into this before? Is there a fix out there?

User avatar
fmw42
Posts: 23993
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Mogrify throws "not authorized" error

Post by fmw42 » 2018-09-14T11:41:06-07:00

In IM 7, in policy.xml, re-enable the PDF. IM 7 has probably disabled it for recent security issues with Ghostscript.

Change:

<!-- <policy domain="module" rights="none" pattern="{PS,PDF,XPS}" /> -->


To

<policy domain="module" rights="read|write" pattern="{PS,PDF,XPS}" />

Post Reply